#ifndef MainVars_h
#define MainVars_h

#include "pid.h"
#include "backstepping.h"

// TODO: Werte Anpassen ...
//#define M_PI 3.14159265f
#define PID_ROLL_KP  28.0f
#define PID_ROLL_KI  0.5f  //0.8f
#define PID_ROLL_KD  1.0f 
#define PID_ROLL_INTEGRATION_LIMIT    200.0

#define PID_PITCH_KP  28.0f 
#define PID_PITCH_KI  0.5f //0.8f 
#define PID_PITCH_KD  1.0f 
#define PID_PITCH_INTEGRATION_LIMIT   200.0

#define PID_YAW_KP  28.0f 
#define PID_YAW_KI  0.5f 
#define PID_YAW_KD  1.0f 
#define PID_YAW_INTEGRATION_LIMIT     360.0

////////////////////
// global variables 
float global_roll, global_pitch, global_yaw;
float SYS_TIMING_MS; 

PidObject my_PID_roll;
PidObject my_PID_pitch;
PidObject my_PID_yaw;

BackSteppingObject my_BACKSTEPPING_roll;
BackSteppingObject my_BACKSTEPPING_pitch;
BackSteppingObject my_BACKSTEPPING_yaw;

//float roll, pitch, yaw;
//float SYS_TIMING_MS;

#endif
